---
title: "Audio Setup"
date: 2022-08-16
---

Over the years, I've invested in a (in my opinion) pretty good audio setup that
I use very frequently (especially during the winter). I'm quite fond of it, so
I'd like to show it off! And perhaps, someone out there might find the
information interesting :)

# Hardware

The hardware consists of four main parts. I use a [Focusrite Scarlett
2i2](https://focusrite.com/en/usb-audio-interface/scarlett/scarlett-2i2) both
as a USB-connected DAC and an interface for my microphone. I'm quite satisified
with the 2i2; it has served me well for a few years now. The fact that it can
act both as a DAC and a mic input allows me to declutter my desk a bit.
Otherwise, I'd have to buy a separate DAC and microphone receiver. Perhaps
someday I'll find a use for the second microphone input ;p Before I had the
2i2, I used a USB microphone and an AUX adapter that connected directly to my
headphone amp, so this really was a big upgrade for me.

The 2i2's line outputs connect to a [Schiit Magni
Heresy](https://www.schiit.com/products/magni-1); the headphone amplifier.
Besides the glorious name, this product really is amazing. It packs a serious
punch for its size and price and I find it's a great match for my headphones.
The only issue that I've had with them is that they can crackle when you change
the volume, but luckily it goes away again once you stop moving the knob.
Personally, I don't think it's that much of an issue, but I figured I should
mention it anyways.

Now for the stars of the show; the headphones. Perhaps I went a little
overboard with this one, but I don't regret it at all. My main drivers are the
[Sennheiser HD 660S](https://www.sennheiser-hearing.com/en-US/p/hd-660s/). They
sound absolutely amazing paired with my Magni head amp. I'm by no means an
expert on audio, but I can definitely tell a major difference between these
headphones and any other pair we have in the house. The audio is incredibly
clear; I really can't get enough of it.

Lastly, the microphone. During the pandemic, I bought myself a Devine BM-600
XLR mic. The quality's quite good, especially for the price. Sadly I don't get
to use it a lot anymore, as I rarely call people on the computer anymore.
Before this however, I used the Devine M-Mic USB microphone. I mention this
because it's probably one of the best budget microphones out there. Last I
checked, it only cost around 30 euros and the voice quality is insanely good
for the price.

# Software

While I get the appeal of LPs and CDs, they're just not very practical with the
amount of music that I listen to every day. That's why I have a
[Tidal](https://tidal.com/) HiFi subscription. Due to me being a student, I can
get a 50% discount, meaning I only pay 5 euros per month for high-quality audio
streaming. I highly recommend Tidal; it has served me well for months and will
continue to do so.

Due to me using Linux, I sadly can't use a native Tidal client, so I've had to
resort to using
[Mastermindzh/tidal-hifi](https://github.com/Mastermindzh/tidal-hifi),
specifically installed using the
[tidal-hifi-git](https://aur.archlinux.org/packages?O=0&K=tidal-hifi-git) AUR
package. It runs the Tidal web player in an electron session, along with some
wine magic to support HiFi playback. It even has a task bar icon and
everything, so it works about as well as any other native client.

Right, I have to finish this post. The goal was to describe my audio setup, and
I think I accomplished that. I'm definitely not an expert on these things, so
I'm not going to go more in depth than needed. All I am is an audiophile that
cares a little too much about the quality of his music ;p

Cheers
